Bug 157228 - [PATCH] irc/p5-POE-Component-Server-IRC: update to 1.47
Summary: [PATCH] irc/p5-POE-Component-Server-IRC: update to 1.47
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-21 05:40 UTC by Jase Thew
Modified: 2011-06-13 20:40 UTC (History)
1 user (show)

See Also:


Attachments
p5-POE-Component-Server-IRC-1.47.patch (3.77 KB, patch)
2011-05-21 05:40 UTC, Jase Thew
no flags Details | Diff
p5-POE-Component-Server-IRC-1.48.patch (3.77 KB, patch)
2011-05-22 18:41 UTC, Jase Thew
no flags Details | Diff
p5-POE-Component-Server-IRC-1.49.patch (3.94 KB, patch)
2011-05-25 16:17 UTC, Jase Thew
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jase Thew 2011-05-21 05:40:08 UTC
- Update to 1.47
- Add remaining recommends dists as dependancies

Please note, this PR has an dependancy on update PR ports/157226 .

Port maintainer (markun@onohara.to) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2011-05-21 05:40:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-05-21 05:40:28 UTC
Maintainer of irc/p5-POE-Component-Server-IRC,

Please note that PR ports/157228 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/157228

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-05-21 05:40:30 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Jase Thew 2011-05-22 18:41:33 UTC
Please find attached an updated patch to update 
p5-POE-Component-Server-IRC to 1.48
Comment 5 markun 2011-05-24 14:26:02 UTC
Hello,

I approve this patch.
Please commit.

Best regards,

-- 
TERAMOTO Masahiro <markun@onohara.to>
Comment 6 Frederic Culot freebsd_committer 2011-05-25 08:52:07 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 7 Frederic Culot freebsd_committer 2011-05-25 15:01:18 UTC
Hi Jase and Masahiro,

thanks for submitting and reviewing the patch.
I believe there is a small mistake regarding the p5-POE-Component-IRC dependency.
Indeed, your patch states the 6.52 version is needed whereas the minimum version
needed seems to be 6.68 as stated here:

http://cpansearch.perl.org/src/HINRIK/POE-Component-Server-IRC-1.48/Makefile.PL

Unfortunately the version of p5-POE-Component-IRC we have in ports is still 6.54,
so we will have to wait for this dependency to be updated before committing your
patch.

Thanks,
culot@
Comment 8 Jase Thew 2011-05-25 15:45:28 UTC
On 25/05/2011 15:01, Frederic Culot wrote:
> Hi Jase and Masahiro,
>
> thanks for submitting and reviewing the patch.
> I believe there is a small mistake regarding the p5-POE-Component-IRC dependency.
> Indeed, your patch states the 6.52 version is needed whereas the minimum version
> needed seems to be 6.68 as stated here:
>
> http://cpansearch.perl.org/src/HINRIK/POE-Component-Server-IRC-1.48/Makefile.PL
>
> Unfortunately the version of p5-POE-Component-IRC we have in ports is still 6.54,
> so we will have to wait for this dependency to be updated before committing your
> patch.
>
> Thanks,
> culot@

Hi Frederic,

You're looking at the requirements for POE-Component-Server-IRC v1.48 
which was released last night. The patch is for POE-Component-Server-IRC 
v1.47 which has a dependancy against p5-POE-Component-IRC v6.51.

Regards,

Jase.
Comment 9 Jase Thew 2011-05-25 15:50:14 UTC
On 25/05/2011 15:45, Jase Thew wrote:
> On 25/05/2011 15:01, Frederic Culot wrote:
>> Hi Jase and Masahiro,
>>
>> thanks for submitting and reviewing the patch.
>> I believe there is a small mistake regarding the p5-POE-Component-IRC
>> dependency.
>> Indeed, your patch states the 6.52 version is needed whereas the
>> minimum version
>> needed seems to be 6.68 as stated here:
>>
>> http://cpansearch.perl.org/src/HINRIK/POE-Component-Server-IRC-1.48/Makefile.PL
>>
>>
>> Unfortunately the version of p5-POE-Component-IRC we have in ports is
>> still 6.54,
>> so we will have to wait for this dependency to be updated before
>> committing your
>> patch.
>>
>> Thanks,
>> culot@
>
> Hi Frederic,
>
> You're looking at the requirements for POE-Component-Server-IRC v1.48
> which was released last night. The patch is for POE-Component-Server-IRC
> v1.47 which has a dependancy against p5-POE-Component-IRC v6.51.
>
> Regards,
>
> Jase.

Hi Frederic,

Sorry, please disregard my last mail - you are absolutely correct. I'm 
confusing myself with the release of v1.49 which was last night.

I broke my own rule of replying to emails before I've had my first 
coffee of the day and am once again paying for that mistake :)

Regards,

Jase.
Comment 10 Frederic Culot freebsd_committer 2011-05-25 16:11:28 UTC
> Hi Frederic,
> 
> You're looking at the requirements for POE-Component-Server-IRC
> v1.48 which was released last night. The patch is for
> POE-Component-Server-IRC v1.47 which has a dependancy against
> p5-POE-Component-IRC v6.51.

Are you sure? I thought Masahiro approved the second patch which is an update
for v1.48.
Which patch do you want me to commit then? Is it ok to commit the first one for
v1.47 while waiting for the o5-POE-Component-IRC to be updated?
Comment 11 Jase Thew 2011-05-25 16:17:47 UTC
Hi,

Please find attached an updated patch to update 
irc/p5-POE-Component-Server-IRC to v1.49.

This updated patch also :

- Correctly depends on irc/p5-POE-Component-IRC >= 6.68
- Removes a stale dependancy on devel/p5-Object-Pluggable

Please note, this PR now has a dependancy on PR ports/156502

Regards,

Jase.
Comment 12 markun 2011-05-25 17:08:28 UTC
Hello Jase and culot,

Thanks for making and reviewing this patch.
I approved the second patch, but I forgot to check dependency of
upstream. I appologize for my mistake.

I checked and tested Jase's third patch
(p5-POE-Component-Server-IRC-1.49.patch) with p5-POE-Component-IRC 6.68
(PR ports/156502 patch-6.diff) on my own tinderbox, and it worked fine.

Please commit the third patch after the PR ports/156502 is closed and
p5-POE-Component-IRC is updated to 6.58.

Thanks in advance,

-- 
TERAMOTO Masahiro <markun@onohara.to>
Comment 13 Frederic Culot freebsd_committer 2011-06-13 20:30:02 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 14 dfilter service freebsd_committer 2011-06-13 20:30:15 UTC
culot       2011-06-13 19:29:48 UTC

  FreeBSD ports repository

  Modified files:
    irc/p5-POE-Component-Server-IRC Makefile distinfo pkg-plist 
  Log:
  - Update to 1.49
  
  PR:             ports/157228
  Submitted by:   Jase Thew <freebsd@beardz.net>
  Approved by:    Teramoto Masahiro <markun@onohara.to> (maintainer)
  
  Revision  Changes    Path
  1.8       +11 -7     ports/irc/p5-POE-Component-Server-IRC/Makefile
  1.8       +2 -2      ports/irc/p5-POE-Component-Server-IRC/distinfo
  1.4       +3 -1      ports/irc/p5-POE-Component-Server-IRC/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"